import Component from '../component.js'
import DivComponent from '../div.js';
import CoEuiIconState from './eui-icon-state.js';

export default class CoEuiFeedbackMessage extends Component {
  constructor(parent) {
    let selector = 'eui-feedback-message';
    super(parent, selector);
    //https://citnet.tech.ec.europa.eu/CITnet/stash/projects/CSDR/repos/eui/browse/packages/components/eui-feedback-message/eui-feedback-message.component.html?at=master
  }
  get iconCO() {
    return new CoEuiIconState(this.currentPath);
  }
  async notMuted(){
    return await (await this.iconCO.element()).isExisting()
  }
  get contentCO() {
    return new DivComponent(this.currentPath).addPredicateClassContains('eui-feedback-message__content');
  }
}